PLRGBHLS(3)

NAME
plrgbhls - Convert RGB color to HLS

SYNOPSIS
plrgbhls(r, g, b, p_h, p_l, p_s)

DESCRIPTION

Convert RGB color coordinates to HLS

ARGUMENTS

r (PLFLT, output)
    Red intensity (0.0-1.0) of the colour

g (PLFLT, output)
    Green intensity (0.0-1.0) of the colour

b (PLFLT, output)
    Blue intensity (0.0-1.0) of the colour

p_h (PLFLT *, input)
    Pointer to hue, in degrees on the colour cone (0.0-360.0)

p_l (PLFLT *, input)
    Pointer to lightness, expressed as a fraction of the axis of the colour cone (0.0-1.0)

p_s (PLFLT *, input)
    Pointer to saturation, expressed as a fraction of the radius of the colour cone (0.0-1.0)

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.